wicket-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From tetsuo <ronald.tet...@gmail.com>
Subject Re: [jira] Updated: (WICKET-3147) Servlet 3 Annotation @WebFilter is not supported
Date Fri, 05 Nov 2010 17:51:37 GMT
Drop Java 5 support just because of one single annotation?


On Fri, Nov 5, 2010 at 3:45 PM, Jeremy Thomerson
<jeremy@wickettraining.com>wrote:

> Since Wicket 1.5 its not yet released, should we make it dependent on Java
> 1.6? I don't see that being a big problem.
>
> Jeremy Thomerson
> http://wickettraining.com
> -- sent from my "smart" phone, so please excuse spelling, formatting, or
> compiler errors
>
> On Nov 5, 2010 12:06 PM, "Igor Vaynberg (JIRA)" <jira@apache.org> wrote:
>
>
> [
>
> https://issues.apache.org/jira/browse/WICKET-3147?page=com.atlassian.jira.plugin.system.issu
> .
> ..
>   Fix Version/s:     (was: 1.5-M4)
>                  1.6.0
>      Issue Type: Improvement  (was: Bug)
>
> since servlet 3.0 requires java 6 and wicket 1.5 requires java 5 we cannot
> properly support this yet. we are moving the relevant code into a helper
> wicket-stuff project.
>
> i left the necessary code commented out with todo tag JAVA6,SERVLET3.0, we
> can reinstate it when work begins on wicket 1.6
>
>
> > Servlet 3 Annotation @WebFilter is not supported
> > ----------------------------------------------...
> >          Issue Type: Improvement
>
> > Components: wicket
> > Affects Versions: 1.4.9, 1.4.10, 1.4.13
> > Environment: Gl...
> >             Fix For: 1.6.0
>
> >
> > Attachments: wicket.tgz
> >
> >
> > Trying to run my application this way:
> > @WebFilter(value=...
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message